/* cases listing page */
.cases-page {
    margin-top: 80px;
}

.breadscrumbs{
    display: flex;
    align-items: center;
    margin-top: 100px;
    max-width: 1920px;
    padding: 0 40px;
    margin: 0 auto 20px;
}

.case-page .breadscrumbs{
    padding-top: 100px;
    flex-wrap: wrap;
}
.current-page__link {
    font-weight: 600;
    font-size: 14px;
    line-height: 143%;
    color: #1a1a1a;
    margin-left: 12px;
}

.previous-page__link {
    font-weight: 400;
    font-size: 14px;
    line-height: 143%;
    color: #404040;
    margin-right: 12px;
    margin-left: 12px;
}

.previous-page__link:first-of-type {
    margin-left: 0;
}
.case-page .content-container {
    padding-top: 20px;
}

.case-page__container {
    max-width: 860px;
    padding-top: 80px;
    margin: 0 auto;
}

.home-link {
    font-weight: 400;
    font-size: 14px;
    line-height: 143%;
    color: #404040;
    margin-right: 12px;
}

.current-page__link {
    font-weight: 600;
    font-size: 14px;
    line-height: 143%;
    color: #1a1a1a;
    margin-left: 12px;
}

.previous-page__link {
    font-weight: 400;
    font-size: 14px;
    line-height: 143%;
    color: #404040;
    margin-right: 12px;
    margin-left: 12px;
}

.previous-page__link:first-of-type {
    margin-left: 0;
}

.cases__content-container {
    max-width: 960px;
    width: 100%;
    margin: 0 auto;
}


.cases-container {}

.cases__button-group {
    margin-bottom: 40px;
}

.filter-button-group {}

.cases__button {
    background-color: #ffff;
}

.btn-main {}

.cases__button.is-checked {
    background-color: rgba(240, 240, 240, 1);
}

.cases-wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    position: relative;
}

.case-card {
    flex: 1 1 calc((100% - 24px * 2) / 3);
    max-width: 517px;
    height: auto;
    border: 1px solid #e0e0e0;
    border-radius: 20px;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transform: translateX(-25px) translateY(10px) scale(0.9);
    pointer-events: none;
}

.case-card.swiper-slide {
    height: auto;
    position: relative;
}

.case-card.active {
    opacity: 1;
    pointer-events: auto;
    position: relative;
    z-index: 10;
    transform: translateX(0) translateY(0) scale(1);
    transition: all 0.3s;
}

.case-img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 16px 16px 0 0;
    background: rgba(122, 158, 230, 1);
    margin-bottom: 20px;
    object-fit: cover;
}

.case-img img {}

.case-card__conteiner {
    padding: 0px 20px 20px 24px;
}

.case-title {
    margin-bottom: 16px;
}

.case-tag {
    padding: 5px 12px;
    margin-right: 12px;
    margin-bottom: 8px;
}

.case-card__bottom {
    display: flex;
    position: relative;
}

.case-card__txt {
    margin-right: 56px;
}

.case-card__link {
    align-self: flex-end;
    width: 40px;
    height: 40px;
    flex-shrink: 0;
    margin-left: 8px;
    position: absolute;
    right: 20px;
    bottom: 20px;
}


.pagination {
    display: flex;
    margin-top: 40px;
}

.page-number {
    color: #131726;
    font-weight: 700;
    font-size: 18px;
    line-height: 133%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    border-radius: 10px;
    padding: 0px 24px;
}

.current {
    background-color: #f0f0f0;
}

.page-number__divider {
    color: #131726;
    font-weight: 700;
    font-size: 18px;
    line-height: 133%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
}


/* case page */
.case-page__content h1 {
    color: #1a1a1a;
    ;
    font-weight: 900;
    font-size: 70px;
    line-height: 106%;
    margin-bottom: 20px;
}

.case-page__content h2 {
    color: #1a1a1a;
    ;
    font-weight: 900;
    font-size: 60px;
    line-height: 107%;
    margin-bottom: 20px;
}

.case-page__content h3 {
    color: #1a1a1a;
    font-weight: 900;
    font-size: 50px;
    line-height: 110%;
    margin-bottom: 20px;
}

.case-page__content h4 {
    color: #1a1a1a;
    font-weight: 700;
    font-size: 40px;
    line-height: 110%;
    margin-bottom: 20px;
}

.case-page__content h5 {
    color: #1a1a1a;
    font-weight: 700;
    font-size: 30px;
    line-height: 110%;
    margin-bottom: 15px;
}

.case-page__content p {
    color: #1a1a1a;
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    text-align: left;
    margin-bottom: 30px;
}

.case-page__content img {
    border-radius: 10px;
}

.case-page__content .wp-block-image img {
    height: initial;
}

.case-page__content ul,
.case-page__content ol {
    margin: 0 0 20px 20px;
}

.case-page__content ul li {
    color: #1a1a1a;
    font-weight: 400;
    font-size: 18px;
    line-height: 167%;
    margin-bottom: 8px;
}

.case-page__content li::marker {
    font-size: 18px;
    line-height: 167%;
    color: rgba(131, 191, 10, 1);
}

.case-page__content ol {
    counter-reset: myCounter;
    margin-left: 0;
}

.case-page__content ol li {
    color: #1a1a1a;
    font-weight: 600;
    font-size: 18px;
    line-height: 133%;
    margin-bottom: 0;
    counter-increment: myCounter;
    list-style: none;
    position: relative;
    border: 1px solid #e0e0e0;
    border-radius: 16px;
    padding: 16px 20px 16px 80px;
    margin-bottom: 20px;
}

.case-page__content ol li::before {
    content: counters(myCounter, ".", decimal-leading-zero) " ";
    position: absolute;
    left: 32px;
    top: 16;
    font-weight: 600;
    color: #1a1a1a;
}

.case-page__content table {
    width: 100%;

}

.case-page__content td {
    border: 1px solid #e0e0e0;
    padding: 10px;
}


.case-page__content a {
    color: rgba(131, 191, 10, 1);
    font-weight: 400;
    font-size: 18px;
    line-height: 167%;
    margin-bottom: 30px;

}

.case-page__content a:hover {
    color: #689807;
}

.case-page__content .wp-block-gallery {
    margin-bottom: 30px;
}

.case-page {}

.case-page__top {}

.case-page__top-container {
    display: flex;
    flex-direction: column;
    max-width: 1840px;
    width: 100%;
    padding: 120px 0 0;
    margin: 0 auto;
}

.case-page .section-header__bottom {
    gap: 300px;
}

.title-h2 {}

.section-title {
    line-height: 106%;
}

.case-page__top-details {
    display: flex;
    flex-direction: column;
    max-width: 450px;
    width: 100%;
    gap: 40px;
}

.details-row {
    display: flex;
    gap: 42px;
}

.details-block {
    display: flex;
    flex-direction: column;
}

.details-title {}

.main-txt {}

.details-name,
.details-name a {
    font-weight: 700;
    font-size: 20px;
    line-height: 130%;
    color: #1a1a1a;
}

.case-top__image {
    background: #c8dbe0;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.case-top__big-img {
    width: 861px;
    height: auto;
}

.case-top__logo-img {
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    width: 180px;
    height: 180px;
    position: absolute;
    left: 20px;
    bottom: 20px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.case-top__logo-img img {
    width: calc(100% - 22px);
}

@media(max-width:1805px) {
    .case-page__top-container {
        padding: 120px 40px 0;
        margin: 0;
    }

    .case-page .section-header__bottom {
        gap: 250px;
    }

}

@media (max-width:1520px) {
    .cases__content-container {
        margin: 0;
        padding: 0 40px;
    }

    .case-page__content h1 {
        font-size: 60px;
    }

    .case-page__content h2 {
        font-size: 45px;
    }

    .case-page__content h3 {
        font-size: 40px;
    }

    .case-page__content h4 {
        font-size: 30px;
    }

    .case-page__content h5 {
        font-size: 26px;
    }

    .case-page__content p {
        font-size: 16px;
        line-height: 26px;
    }

    .case-card__txt {
        max-width: 380px;
    }

}


@media(max-width: 1442px) {
        .case-page__content h2 {
        font-size: clamp(24px, 3vw, 70px);
    }
    .case-card {
        flex: 1 1 calc((100% - 24px * 2) / 3);
    }

    .case-card__txt {
        max-width: 320px;
    }

    .case-page .section-header__bottom {
        gap: 200px;
    }

    .case-top__big-img {
        width: 661px;
        height: auto;
    }

    .case-top__logo-img {
        width: 120px;
        height: 120px;
    }

    .case-page__top-details {
        max-width: 300px;
        gap: 20px;
    }

    .details-name {
        font-size: 18px;
    }

    .case-card__link {
        right: 10px;
        bottom: 10px;
    }
}

@media(max-width: 1210px) {
    .case-card__txt {
        max-width: 280px;
    }

    .case-page .section-header__bottom {
        gap: 200px;
    }

    .case-page__top .title-h1,
    .case-page__content h1 {
        font-size: 40px;
    }

    .case-page__content h2 {
        font-size: 30px;
    }

    .case-page__content h3 {
        font-size: 26px;
    }

    .case-page__content h4 {
        font-size: 22px;
    }

    .case-page__content h5 {
        font-size: 20px;
    }

    .case-page__top-details {
        max-width: 300px;
        gap: 5px;
    }

    .details-title {
        font-size: 14px;
    }

    .details-name {
        font-size: 16px;
    }
}

@media(max-width: 1025px) {
    .cases__content-container {
        margin: 0;
        padding: 0 20px;
    }

    .case-card {
        flex: 1 1 calc((100% - 24px) / 2);
    }

    .case-card__txt {
        max-width: 380px;
    }

    .case-page .section-header__bottom {
        gap: 150px;
    }

    .case-page__top-details {
        max-width: 250px;
    }
}

@media(max-width: 821px) {
    .case-page__container {
        margin: 0;
        padding: 60px 0px 0;
    }

    .case-page__content {
        padding: 0 40px;
    }

    .case-card {
        max-width: 378px;
    }

    .case-page .section-header__bottom {
        gap: 40px;
        flex-direction: column;
    }

    .case-page__top-details {
        max-width: 800px;
        flex-direction: row;
        gap: 20px;
    }

    .case-top__big-img {
        width: 460px;
        height: auto;
    }

    .case-top__logo-img {
        width: 100px;
        height: 100px;
    }
}

@media (max-width:769px) {
    .case-card {
        flex: 1 1 calc((100% - 24px) / 2);
        max-width: 360px;
    }
}


@media(max-width:480px) {
    .case-card {
        flex: 1 1 100%;
        max-width: 100%;
    }

    .case-card__txt {
        display: none;
    }

    .breadscrumbs,
    .case-page__breadcrumbs {
        padding: 60px 20px 0;
    }

    .case-page__top-container {
        padding: 20px 20px 0;
    }

    .case-page__content {
        padding: 0 20px;
    }

    .case-page__top .title-h1 {
        font-size: 28px;
    }

    .current-page__link {
        margin-left: 0;
    }

    .case-page__top-details {
        flex-direction: column;
    }

    .case-top__image {
        flex-direction: column;
    }

    .case-top__big-img {
        width: 100%;
        padding: 16px 16px;
        margin-bottom: 20px;
    }

    .case-top__logo-img {
        width: 80px;
        height: 80px;
        position: relative;
        align-self: flex-start;
    }
}